package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 代数枚举（复购直推）
 */
@AllArgsConstructor
@Getter
public enum EAlgebra {

    /**
     * 一代
     */
    ONE_ALGEBRA(1, "一代", 0, EnumsPrefixConstants.ALGEBRA + "1"),

    /**
     * 二代
     */
    TWO_ALGEBRA(2, "二代", 0, EnumsPrefixConstants.ALGEBRA + "2"),

    /**
     * 三代
     */
    THREE_ALGEBRA(3, "三代", 0, EnumsPrefixConstants.ALGEBRA + "3"),
    /**
     * 四代
     */
    FOUR_ALGEBRA(4, "四代", 0, EnumsPrefixConstants.ALGEBRA + "4"),
    /**
     * 五代
     */
    FIVE_ALGEBRA(5, "五代", 0, EnumsPrefixConstants.ALGEBRA + "5"),
    /**
     * 六代
     */
    SIX_ALGEBRA(6, "六代", 0, EnumsPrefixConstants.ALGEBRA + "6"),
    /**
     * 七代
     */
    SEVEN_ALGEBRA(7, "七代", 0, EnumsPrefixConstants.ALGEBRA + "7"),
    /**
     * 八代
     */
    EIGHT_ALGEBRA(8, "八代", 0, EnumsPrefixConstants.ALGEBRA + "8"),
    /**
     * 九代
     */
    NINE_ALGEBRA(9, "九代", 0, EnumsPrefixConstants.ALGEBRA + "9"),
    /**
     * 十代
     */
    TEN_ALGEBRA(10, "十代", 0, EnumsPrefixConstants.ALGEBRA + "10"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getALGEBRA(int value) {
        for (EAlgebra ALGEBRA : EAlgebra.values()) {
            if (ALGEBRA.getValue() == value) {
                return ALGEBRA.getLabel();
            }
        }
        return null;
    }

}
